{% extends "../base.html" %}
{% block header %}
Reservas - Visualizar Sala
{% endblock header %}
{% block content %}
<div class="content-detail">
    <table class="detail-table">
      <tr class="table-row">
          <th class="table-header">Número:</th>
          <td class="table-data">{{object.pk}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Capacidade:</th>
        <td class="table-data">{{object.capacity}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Campus:</th>
        <td class="table-data">{{object.institution}}</td>
      </tr>
      <tr class="table-row">
        <th class="table-header">Eventos:</th>
        <td class="table-data">
          {% for name, date, time in Events %}
            <span>{{ name }} em {{ date }} as {{ time }}</span>
          {% endfor %}
        </td>
      </tr>
    </table>
    <div class="flex-row">
      <a class="link" href="{% url 'classroom-events' classroom.id %}">
          <button class="delete-button">
              <span class="glyphicon glyphicon-trash">Eventos</span>
          </button>
      </a>
      
      <a class="link" href="{% url 'classroom-update' classroom.id %}">
          <button class="delete-button">
              <span class="glyphicon glyphicon-trash">Atualizar</span>
          </button>
      </a>
  
      <form action="{% url 'classroom-delete' pk=classroom.id %}" method="post" style="display: inline;">
          {% csrf_token %}
          <input type="hidden" name="client_id" value="{{ client.id }}"/>
          <button type="submit" class="delete-button">
              <span class="glyphicon glyphicon-trash">Delete</span>
          </button>
      </form>
    </div>
</div>
{% endblock content %}
    